Bug 837170 - The command executed by sudo may ocasionally enter into defunct state.
The command executed by sudo may ocasionally enter into defunct state.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: sudo (Show other bugs)
6.5
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Daniel Kopeček
BaseOS QE Security Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 23:50 EDT by Zhenyong(Jerry) Jiang
Modified: 2013-07-28 20:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-03 12:25:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zhenyong(Jerry) Jiang 2012-07-02 23:50:37 EDT
Description of problem:

The command executed by sudo may ocasionally enter into defunct state.

Version-Release number of selected component (if applicable):

RHEL6

How reproducible:

ocasionally

Steps to Reproduce:

More information:
1. We run the sudo in multiple threads simultaneously.

2. Not only for sudo grep can result in such case. The following is another one.

[root@lcm-siteA-n15-ext ~]#  ps -ef |grep smart
root      3275     1  0 Jun26 ?        00:00:00 /usr/sbin/smartd -q never
lps       7254 16964  0 Jun26 ?        00:00:00 /bin/bash /opt/lps/current/resourcereport/check_disk_smart_status.sh
root      7263  7254  0 Jun26 ?        00:00:00 sudo /usr/sbin/smartctl -a -q silent /dev/sda3
root      7264  7263  0 Jun26 ?        00:00:00 [smartctl] <defunct>
root     16738 16585  0 14:13 pts/0    00:00:00 grep smart


Actual results:

Some of sudo child process may run into defunct stat.


Expected results:

No process should be in defunct state and sudo should return with success.

Additional info:

Note You need to log in before you can comment on or make changes to this bug.